cURL
curl --request GET \ --url https://api.devin.ai/v3beta1/organizations/{org_id}/repositories/indexing \ --header 'Authorization: Bearer <token>'
{ "items": [ { "branches": [ "<string>" ], "indexing_enabled": true, "repository_path": "<string>", "indexing_status": { "indexing_enabled": true, "latest_completed_search_index_job": { "branch_name": "<string>", "commit": "<string>", "created_at": 123, "job_id": "<string>", "status": "failed" }, "latest_completed_wiki_index_job": { "branch_name": "<string>", "commit": "<string>", "created_at": 123, "job_id": "<string>", "status": "failed" }, "latest_indexes": [ { "branch_name": "<string>", "commit": "<string>", "created_at": 123, "job_id": "<string>", "status": "failed" } ] } } ], "end_cursor": "<string>", "has_next_page": false, "total": 123 }
Documentation IndexFetch the complete documentation index at: https://docs.devin.ai/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.devin.ai/llms.txt
Use this file to discover all available pages before exploring further.
Read
服务用户凭据(前缀:cog_)
1 <= x <= 200
成功响应
Show child attributes
用于获取下一页的游标;如果这是最后一页,则为 None。
此页之后是否还有更多条目。
可选的总数(可省略以提升性能)。